# Check if a template webpage is being edited

Returns whether another user is actively editing the template webpage for the given object and environment.

Endpoint: GET /api/v2/webpages/template/{objectName}/{environment}/editing-status
Version: 2.0
Security: Bearer Authentication

## Path parameters:

  - `objectName` (string, required)

  - `environment` (string, required)

## Response 200 fields (application/json):

  - `locked` (boolean)
    True when another user is actively editing this webpage

  - `editor` (object)
    The user currently editing, when locked is true

  - `editor.uuid` (string)

  - `editor.email` (string)

  - `editor.firstname` (string)

  - `editor.lastname` (string)

  - `editor.cursorLocation` (object)
    Cursor location

  - `editor.cursorLocation.x` (number)

  - `editor.cursorLocation.y` (number)

  - `editor.cursorLocation.z` (number)

  - `editor.reference` (string)

  - `editor.sessionId` (string)

  - `message` (string)
    Human-readable message for the client UI

## Response 404 fields (application/json):

  - `cause` (object)

  - `cause.stackTrace` (array)

  - `cause.stackTrace.classLoaderName` (string)

  - `cause.stackTrace.moduleName` (string)

  - `cause.stackTrace.moduleVersion` (string)

  - `cause.stackTrace.methodName` (string)

  - `cause.stackTrace.fileName` (string)

  - `cause.stackTrace.lineNumber` (integer)

  - `cause.stackTrace.className` (string)

  - `cause.stackTrace.nativeMethod` (boolean)

  - `cause.message` (string)

  - `cause.localizedMessage` (string)

  - `stackTrace` (array)

  - `stackTrace.classLoaderName` (string)

  - `stackTrace.moduleName` (string)

  - `stackTrace.moduleVersion` (string)

  - `stackTrace.methodName` (string)

  - `stackTrace.fileName` (string)

  - `stackTrace.lineNumber` (integer)

  - `stackTrace.className` (string)

  - `stackTrace.nativeMethod` (boolean)

  - `errors` (array)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `code` (integer)
    The HTTP status code associated with the error.
    Example: 404

  - `correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `suppressed` (array)

  - `suppressed.stackTrace` (array)

  - `suppressed.stackTrace.classLoaderName` (string)

  - `suppressed.stackTrace.moduleName` (string)

  - `suppressed.stackTrace.moduleVersion` (string)

  - `suppressed.stackTrace.methodName` (string)

  - `suppressed.stackTrace.fileName` (string)

  - `suppressed.stackTrace.lineNumber` (integer)

  - `suppressed.stackTrace.className` (string)

  - `suppressed.stackTrace.nativeMethod` (boolean)

  - `suppressed.message` (string)

  - `suppressed.localizedMessage` (string)

  - `localizedMessage` (string)

  - `resourceKind` (string)

  - `identifier` (string)

  - `identifierType` (string)

  - `referencedBy` (array)

  - `referencedBy.kind` (string)

  - `referencedBy.identifier` (string)

  - `referencedBy.label` (string)

  - `referencedBy.field` (string)


